{
    description = "NixOS Machine Configurations by manuth";

    inputs = {
        nixpkgs.url = "nixpkgs/e73004a744e8e8244d2e31c10931aad9610ec5d7";
    };

    outputs = { self, nixpkgs }: 
        let
            system = import ./lib/system.nix {
                inherit nixpkgs;
            };
            systems = [
                {
                    name = "nixos";
                }
            ];
        in {
            nixosConfigurations = builtins.listToAttrs
                (
                    builtins.map (
                        { name, config ? {} }:
                            {
                                inherit name;
                                value = system name config;
                            })
                        systems);
        };
}
